package com.ruoyi.ie.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ie.mapper.AEnrollScoreMapper;
import com.ruoyi.ie.domain.AEnrollScore;
import com.ruoyi.ie.service.IAEnrollScoreService;

/**
 * 院校考生考核成绩部分Service业务层处理
 * 
 * @author voluntary
 * @date 2023-11-26
 */
@Service
public class AEnrollScoreServiceImpl implements IAEnrollScoreService 
{
    @Autowired
    private AEnrollScoreMapper aEnrollScoreMapper;

    /**
     * 查询院校考生考核成绩部分
     * 
     * @param id 院校考生考核成绩部分主键
     * @return 院校考生考核成绩部分
     */
    @Override
    public AEnrollScore selectAEnrollScoreById(Long id)
    {
        return aEnrollScoreMapper.selectAEnrollScoreById(id);
    }

    /**
     * 查询院校考生考核成绩部分列表
     * 
     * @param aEnrollScore 院校考生考核成绩部分
     * @return 院校考生考核成绩部分
     */
    @Override
    public List<AEnrollScore> selectAEnrollScoreList(AEnrollScore aEnrollScore)
    {
        return aEnrollScoreMapper.selectAEnrollScoreList(aEnrollScore);
    }

    /**
     * 新增院校考生考核成绩部分
     * 
     * @param aEnrollScore 院校考生考核成绩部分
     * @return 结果
     */
    @Override
    public int insertAEnrollScore(AEnrollScore aEnrollScore)
    {
        return aEnrollScoreMapper.insertAEnrollScore(aEnrollScore);
    }

    /**
     * 修改院校考生考核成绩部分
     * 
     * @param aEnrollScore 院校考生考核成绩部分
     * @return 结果
     */
    @Override
    public int updateAEnrollScore(AEnrollScore aEnrollScore)
    {
        return aEnrollScoreMapper.updateAEnrollScore(aEnrollScore);
    }

    /**
     * 批量删除院校考生考核成绩部分
     * 
     * @param ids 需要删除的院校考生考核成绩部分主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollScoreByIds(Long[] ids)
    {
        return aEnrollScoreMapper.deleteAEnrollScoreByIds(ids);
    }

    /**
     * 删除院校考生考核成绩部分信息
     * 
     * @param id 院校考生考核成绩部分主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollScoreById(Long id)
    {
        return aEnrollScoreMapper.deleteAEnrollScoreById(id);
    }
}
